anyone still affected by this?

** Changed in: lxc (Ubuntu)
       Status: Confirmed => Incomplete

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to lxc in Ubuntu.
https://bugs.launchpad.net/bugs/1659590

Title:
  containers won't start after lxc and apparmor upgrades in trusty

Status in lxc package in Ubuntu:
  Incomplete

Bug description:
  On January 19 lxc and apparmor were upgraded on our VPN servers:

  2017-01-19 06:30:36 upgrade libdbus-1-3:amd64 1.6.18-0ubuntu4.4 
1.6.18-0ubuntu4.5
  2017-01-19 06:30:37 upgrade python3-lxc:amd64 1.0.8-0ubuntu0.4 1.0.9-0ubuntu2
  2017-01-19 06:30:38 upgrade libapparmor1:amd64 2.8.95~2430-0ubuntu5.3 
2.10.95-0ubuntu2.5~14.04.1
  2017-01-19 06:30:38 upgrade libapparmor-perl:amd64 2.8.95~2430-0ubuntu5.3 
2.10.95-0ubuntu2.5~14.04.1
  2017-01-19 06:30:38 upgrade apparmor:amd64 2.8.95~2430-0ubuntu5.3 
2.10.95-0ubuntu2.5~14.04.1
  2017-01-19 06:30:39 upgrade lxc-templates:amd64 1.0.8-0ubuntu0.4 
1.0.9-0ubuntu2
  2017-01-19 06:30:40 upgrade liblxc1:amd64 1.0.8-0ubuntu0.4 1.0.9-0ubuntu2
  2017-01-19 06:30:40 upgrade lxc:amd64 1.0.8-0ubuntu0.4 1.0.9-0ubuntu2
  2017-01-19 06:30:41 upgrade libseccomp2:amd64 2.1.0+dfsg-1 
2.1.1-1ubuntu1~trusty3
  2017-01-19 06:30:42 upgrade dbus:amd64 1.6.18-0ubuntu4.4 1.6.18-0ubuntu4.5

  The day after, the servers were rebooted and the application
  containers running the OpenVPN instances failed to start:

  + lxc-execute -n network-vpn -f /server/network.vpn/lxc/lxc.conf -- 
/server/network.vpn/lxc/lxc-start.sh
  lxc-execute: utils.c: safe_mount: 1391 No such file or directory - Failed to 
mount proc onto /proc
  lxc-execute: conf.c: tmp_proc_mount: 4132 No such file or directory - failed 
to mount /proc in the container.
  lxc-execute: lsm/apparmor.c: apparmor_process_label_get: 80 No such file or 
directory - opening /proc/1/attr/current
  lxc-execute: lsm/apparmor.c: apparmor_process_label_set: 191 No such file or 
directory - failed to change apparmor profile to lxc-container-default
  lxc-execute: sync.c: __sync_wait: 57 An error occurred in another process 
(expected sequence number 5)
  lxc-execute: start.c: __lxc_start: 1149 failed to spawn 'network-vpn'
  lxc-execute: cgmanager.c: cgm_remove_cgroup: 523 call to 
cgmanager_remove_sync failed: invalid request
  lxc-execute: cgmanager.c: cgm_remove_cgroup: 525 Error removing 
hugetlb:lxc/network-vpn
  lxc-execute: cgmanager.c: cgm_remove_cgroup: 523 call to 
cgmanager_remove_sync failed: invalid request
  lxc-execute: cgmanager.c: cgm_remove_cgroup: 525 Error removing 
perf_event:lxc/network-vpn
  lxc-execute: cgmanager.c: cgm_remove_cgroup: 523 call to 
cgmanager_remove_sync failed: invalid request
  lxc-execute: cgmanager.c: cgm_remove_cgroup: 525 Error removing 
blkio:lxc/network-vpn
  lxc-execute: cgmanager.c: cgm_remove_cgroup: 523 call to 
cgmanager_remove_sync failed: invalid request
  lxc-execute: cgmanager.c: cgm_remove_cgroup: 525 Error removing 
freezer:lxc/network-vpn
  lxc-execute: cgmanager.c: cgm_remove_cgroup: 523 call to 
cgmanager_remove_sync failed: invalid request
  lxc-execute: cgmanager.c: cgm_remove_cgroup: 525 Error removing 
devices:lxc/network-vpn
  lxc-execute: cgmanager.c: cgm_remove_cgroup: 523 call to 
cgmanager_remove_sync failed: invalid request
  lxc-execute: cgmanager.c: cgm_remove_cgroup: 525 Error removing 
memory:lxc/network-vpn
  lxc-execute: cgmanager.c: cgm_remove_cgroup: 523 call to 
cgmanager_remove_sync failed: invalid request
  lxc-execute: cgmanager.c: cgm_remove_cgroup: 525 Error removing 
name=systemd:lxc/network-vpn
  lxc-execute: cgmanager.c: cgm_remove_cgroup: 523 call to 
cgmanager_remove_sync failed: invalid request
  lxc-execute: cgmanager.c: cgm_remove_cgroup: 525 Error removing 
cpuacct:lxc/network-vpn
  lxc-execute: cgmanager.c: cgm_remove_cgroup: 523 call to 
cgmanager_remove_sync failed: invalid request
  lxc-execute: cgmanager.c: cgm_remove_cgroup: 525 Error removing 
cpu:lxc/network-vpn
  lxc-execute: cgmanager.c: cgm_remove_cgroup: 523 call to 
cgmanager_remove_sync failed: invalid request
  lxc-execute: cgmanager.c: cgm_remove_cgroup: 525 Error removing 
cpuset:lxc/network-vpn

  We had to downgrade lxc, apparmor and related packages to the latest
  version from trusty-security instead of trusty-updates to get the VPN
  up and running again.

  Details:

  No LSB modules are available.
  Distributor ID:       Ubuntu
  Description:  Ubuntu 14.04.5 LTS
  Release:      14.04
  Codename:     trusty

  3.13.0-107-generic #154-Ubuntu SMP Tue Dec 20 09:57:27 UTC 2016 x86_64
  x86_64 x86_64 GNU/Linux

  Any clue about what's going on?

  Thanks,
  Alex

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/lxc/+bug/1659590/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to     : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp

Reply via email to